x11/xscript - The NetBSD Packages Collection

X Window system script recording and playback

  xscript is a program which sits between an X client and an
X server, monitors the events flowing from the server to
the client, and records events in a script file.  Xscript can
also play back events from a script file to a client.

  xscript is useful as part of a regression test system, as it
can automate the playing of fixed sequences of operations into
an application program based on X.  xscript can detect
application-program failures during playback.  To do so, it
detects the failure of windows to appear as necessary for
playback, and reports errors when windows do not appear within
one second of when they are expected.  A failure of a window to
appear is symptomatic of several classes of application failures,
including failure of a popup to appear and an application crash.

  Please note that xscript was written for X11R5 and therefore
has problems with some X11R6 programs!

  xscript is based on James L. Peterson's xscope program.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/imake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxscript-19930228nb2.tgz
NetBSD 8.0earmv7hfxscript-19930228nb2.tgz
NetBSD 8.0earmv7hfxscript-19930228nb2.tgz
NetBSD 8.0i386xscript-19930228nb2.tgz
NetBSD 8.0i386xscript-19930228nb2.tgz
NetBSD 8.0powerpcxscript-19930228nb2.tgz
NetBSD 8.0powerpcxscript-19930228nb2.tgz
NetBSD 8.0powerpcxscript-19930228nb2.tgz
NetBSD 8.0powerpcxscript-19930228nb2.tgz
NetBSD 8.0x86_64xscript-19930228nb2.tgz
NetBSD 8.0x86_64xscript-19930228nb2.tgz
NetBSD 9.0aarch64xscript-19930228nb2.tgz
NetBSD 9.0aarch64xscript-19930228nb2.tgz
NetBSD 9.0aarch64xscript-19930228nb2.tgz
NetBSD 9.0alphaxscript-19930228nb2.tgz
NetBSD 9.0alphaxscript-19930228nb2.tgz
NetBSD 9.0alphaxscript-19930228nb2.tgz
NetBSD 9.0earmv6hfxscript-19930228nb2.tgz
NetBSD 9.0earmv6hfxscript-19930228nb2.tgz
NetBSD 9.0earmv6hfxscript-19930228nb2.tgz
NetBSD 9.0earmv7hfxscript-19930228nb2.tgz
NetBSD 9.0earmv7hfxscript-19930228nb2.tgz
NetBSD 9.0earmv7hfxscript-19930228nb2.tgz
NetBSD 9.0earmv7hfxscript-19930228nb2.tgz
NetBSD 9.0i386xscript-19930228nb2.tgz
NetBSD 9.0i386xscript-19930228nb2.tgz
NetBSD 9.0mips64ebxscript-19930228nb2.tgz
NetBSD 9.0mips64ebxscript-19930228nb2.tgz
NetBSD 9.0mips64ebxscript-19930228nb2.tgz
NetBSD 9.0mips64ebxscript-19930228nb2.tgz
NetBSD 9.0mips64ebxscript-19930228nb2.tgz
NetBSD 9.0powerpcxscript-19930228nb2.tgz
NetBSD 9.0powerpcxscript-19930228nb2.tgz
NetBSD 9.0powerpcxscript-19930228nb2.tgz
NetBSD 9.0powerpcxscript-19930228nb2.tgz
NetBSD 9.0sparc64xscript-19930228nb2.tgz
NetBSD 9.0sparc64xscript-19930228nb2.tgz
NetBSD 9.0sparc64xscript-19930228nb2.tgz
NetBSD 9.0sparcxscript-19930228nb2.tgz
NetBSD 9.0sparcxscript-19930228nb2.tgz
NetBSD 9.0sparcxscript-19930228nb2.tgz
NetBSD 9.0sparcxscript-19930228nb2.tgz
NetBSD 9.0sparcxscript-19930228nb2.tgz
NetBSD 9.0vaxxscript-19930228nb2.tgz
NetBSD 9.0vaxxscript-19930228nb2.tgz
NetBSD 9.0vaxxscript-19930228nb2.tgz
NetBSD 9.0x86_64xscript-19930228nb2.tgz
NetBSD 9.0x86_64xscript-19930228nb2.tgz
NetBSD 9.0x86_64xscript-19930228nb2.tgz
NetBSD 9.0x86_64xscript-19930228nb2.tgz
NetBSD 9.0x86_64xscript-19930228nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.